#!/usr/bin/perl -w
#
# Configuration script for Kaspersky Network Agent
# Copyright (C) Kaspersky Lab 1997-2006

# Really useful when script is run from the relative path
BEGIN { unshift @INC, $1 if $0 =~ /(.*)[\/]/; }

use strict;
use appdata;

my $upgrade = 0;
my $autoinstall = 0;

foreach my $opt (@ARGV) {
    if ($opt eq '--auto') {
	$autoinstall = 1;
    } elsif ($opt =~ /^--upgrade(=(\d))?$/) {
	$upgrade = !defined($2) || ($2 ne '0') ? 1 : 0;
    }
}

appdata::app_register($upgrade, $autoinstall);

exit;
